For the complete documentation index, see llms.txt. This page is also available as Markdown.

Bookings

patch
Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstring · uuidRequired
Header parameters
api-versionstringOptional
younium-idempotency-keystringOptional
younium-idempotency-durationInHoursintegerOptional
Body
bookingTypestring · enumOptionalPossible values:
accountCategorystring · enumOptionalPossible values:
changeTypestring · enumOptionalPossible values:
notesstring · nullableOptional
effectiveDatestring · date-time · nullableOptional
Responses
204

No Content

No content

patch/Bookings/{id}
PATCH /Bookings/{id} HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/merge-patch+json
Accept: */*
Content-Length: 192

{
  "bookingType": "New",
  "accountCategory": "New",
  "bookingChangeType": "BookingChangeTypeName",
  "notes": "text",
  "effectiveDate": "2026-01-01T00:00:00.000Z",
  "classification": "BookingClassificationName"
}

No content

Get Bookings by Id

get
Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstring · uuidRequired
Header parameters
api-versionstringOptional
Responses
200

Success

application/json
idstring · uuidOptional
currencystring · nullableOptional
bookingTypestring · enumOptionalPossible values:
accountCategorystring · enumOptionalPossible values:
changeTypestring · enumOptionalPossible values:
effectiveDatestring · date-timeOptional
createdstring · date-timeOptional
modifiedstring · date-timeOptional
notesstring · nullableOptional
get/Bookings/{id}
GET /Bookings/{id} HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "currency": "text",
  "bookingType": "New",
  "accountCategory": "New",
  "bookingChangeType": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "description": "text",
    "isSystemChangeType": true,
    "changeType": "Upsell"
  },
  "cmrr": {
    "amount": 1,
    "amountInBaseCurrency": 1
  },
  "acv": {
    "amount": 1,
    "amountInBaseCurrency": 1
  },
  "emrr": {
    "amount": 1,
    "amountInBaseCurrency": 1
  },
  "oneTimeFees": {
    "amount": 1,
    "amountInBaseCurrency": 1
  },
  "tcv": {
    "amount": 1,
    "amountInBaseCurrency": 1
  },
  "fmrr": {
    "amount": 1,
    "amountInBaseCurrency": 1
  },
  "effectiveDate": "2026-01-01T00:00:00.000Z",
  "bookingLines": [
    {
      "charge": {
        "name": "text",
        "chargeNumber": "OPC-000001",
        "description": "text",
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "externalERPId": "text",
        "externalCRMId": "text"
      },
      "cmrr": {
        "amount": 1,
        "currencyCode": "text",
        "currencyConversionDate": "2026-01-01T00:00:00.000Z",
        "baseCurrencyAmount": 1,
        "baseCurrencyCode": "text"
      },
      "acv": {
        "amount": 1,
        "currencyCode": "text",
        "currencyConversionDate": "2026-01-01T00:00:00.000Z",
        "baseCurrencyAmount": 1,
        "baseCurrencyCode": "text"
      },
      "emrr": {
        "amount": 1,
        "currencyCode": "text",
        "currencyConversionDate": "2026-01-01T00:00:00.000Z",
        "baseCurrencyAmount": 1,
        "baseCurrencyCode": "text"
      },
      "oneTimeFees": {
        "amount": 1,
        "currencyCode": "text",
        "currencyConversionDate": "2026-01-01T00:00:00.000Z",
        "baseCurrencyAmount": 1,
        "baseCurrencyCode": "text"
      },
      "tcv": {
        "amount": 1,
        "currencyCode": "text",
        "currencyConversionDate": "2026-01-01T00:00:00.000Z",
        "baseCurrencyAmount": 1,
        "baseCurrencyCode": "text"
      },
      "fmrr": {
        "amount": 1,
        "currencyCode": "text",
        "currencyConversionDate": "2026-01-01T00:00:00.000Z",
        "baseCurrencyAmount": 1,
        "baseCurrencyCode": "text"
      },
      "created": "2026-01-01T00:00:00.000Z",
      "modified": "2026-01-01T00:00:00.000Z"
    }
  ],
  "classification": {
    "name": "text",
    "description": "text",
    "chartColor": "text",
    "isSystemClassification": true,
    "classificationType": "NewCustomer"
  },
  "created": "2026-01-01T00:00:00.000Z",
  "modified": "2026-01-01T00:00:00.000Z",
  "order": {
    "orderNumber": "text",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "externalERPId": "text",
    "externalCRMId": "text"
  },
  "notes": "text"
}

Get Bookings

get
Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Query parameters
FilterstringOptional

Filter the results. See developer resources for more information. On endpoints whose entity supports custom fields you can also filter by custom field: customFieldEq('fieldName', 'value') (equals) or customFieldExist('fieldName') (field has a non-empty value). Custom-field functions may only be combined with and.

Example: name eq 'Adam' and age gt 20 and customFieldEq('region', 'EU')
OrderBystringOptional

Sorting the results. See developer resources for more information

Example: accountNumber Desc
ModifiedAfterstring · date-timeOptional

Apply a separate modified After filter. See 'ModifiedBefore' filter for further details.

Example: 2026-09-01
ModifiedBeforestring · date-timeOptional

Filter is also applied on sub entities: 'bookingLines'

Example: 2026-09-01
PageSizeinteger · int32Optional

Page Size

Example: 20
PageNumberinteger · int32Optional

Page Number

Example: 1
Header parameters
api-versionstringOptional
Responses
200

Success

application/json
pageNumberinteger · int32Optional
pageSizeinteger · int32Optional
totalPagesinteger · int32 · nullableOptional
totalCountinteger · int32Optional
nextPagestring · uri · nullableOptional
previousPagestring · uri · nullableOptional
firstPagestring · uri · nullableOptional
lastPagestring · uri · nullableOptional
get/Bookings
GET /Bookings HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "pageNumber": 1,
  "pageSize": 1,
  "totalPages": 1,
  "totalCount": 1,
  "nextPage": "https://example.com",
  "previousPage": "https://example.com",
  "firstPage": "https://example.com",
  "lastPage": "https://example.com",
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "currency": "text",
      "bookingType": "New",
      "accountCategory": "New",
      "bookingChangeType": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text",
        "description": "text",
        "isSystemChangeType": true,
        "changeType": "Upsell"
      },
      "cmrr": {
        "amount": 1,
        "amountInBaseCurrency": 1
      },
      "acv": {
        "amount": 1,
        "amountInBaseCurrency": 1
      },
      "emrr": {
        "amount": 1,
        "amountInBaseCurrency": 1
      },
      "oneTimeFees": {
        "amount": 1,
        "amountInBaseCurrency": 1
      },
      "tcv": {
        "amount": 1,
        "amountInBaseCurrency": 1
      },
      "fmrr": {
        "amount": 1,
        "amountInBaseCurrency": 1
      },
      "effectiveDate": "2026-01-01T00:00:00.000Z",
      "bookingLines": [
        {
          "charge": {
            "name": "text",
            "chargeNumber": "OPC-000001",
            "description": "text",
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "externalERPId": "text",
            "externalCRMId": "text"
          },
          "cmrr": {
            "amount": 1,
            "currencyCode": "text",
            "currencyConversionDate": "2026-01-01T00:00:00.000Z",
            "baseCurrencyAmount": 1,
            "baseCurrencyCode": "text"
          },
          "acv": {
            "amount": 1,
            "currencyCode": "text",
            "currencyConversionDate": "2026-01-01T00:00:00.000Z",
            "baseCurrencyAmount": 1,
            "baseCurrencyCode": "text"
          },
          "emrr": {
            "amount": 1,
            "currencyCode": "text",
            "currencyConversionDate": "2026-01-01T00:00:00.000Z",
            "baseCurrencyAmount": 1,
            "baseCurrencyCode": "text"
          },
          "oneTimeFees": {
            "amount": 1,
            "currencyCode": "text",
            "currencyConversionDate": "2026-01-01T00:00:00.000Z",
            "baseCurrencyAmount": 1,
            "baseCurrencyCode": "text"
          },
          "tcv": {
            "amount": 1,
            "currencyCode": "text",
            "currencyConversionDate": "2026-01-01T00:00:00.000Z",
            "baseCurrencyAmount": 1,
            "baseCurrencyCode": "text"
          },
          "fmrr": {
            "amount": 1,
            "currencyCode": "text",
            "currencyConversionDate": "2026-01-01T00:00:00.000Z",
            "baseCurrencyAmount": 1,
            "baseCurrencyCode": "text"
          },
          "created": "2026-01-01T00:00:00.000Z",
          "modified": "2026-01-01T00:00:00.000Z"
        }
      ],
      "classification": {
        "name": "text",
        "description": "text",
        "chartColor": "text",
        "isSystemClassification": true,
        "classificationType": "NewCustomer"
      },
      "created": "2026-01-01T00:00:00.000Z",
      "modified": "2026-01-01T00:00:00.000Z",
      "order": {
        "orderNumber": "text",
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "externalERPId": "text",
        "externalCRMId": "text"
      },
      "notes": "text"
    }
  ]
}

Last updated